# Content Library Item Details Retrieve detailed information about a specific content library item using its ID. The details include: - **Roles** - **All fields with values** - **All tokens with values** - **Pricing information (pricing tables, products, etc)** - **Metadata** - **Tags** - **Modification Timestamps**: note that `date_modified` means any changes associated with the CLI, while `content_date_modified` logs any changes in CLI content. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "PandaDoc Public API", "description": "PandaDoc API spans a broad range of functionality to help you build incredible documents automation experiences inside your product.\n\nPandaDoc API is organized around REST. Our API has predictable resource-oriented URLs and uses standard HTTP response codes, authentication, and verbs.\n\n## Getting started\n\nYou can start testing PandaDoc API with a sandbox key on our [Enterprise](https://www.pandadoc.com/pricing/) plan, either active or in trial.\n\nGenerate your [sandbox key](https://developers.pandadoc.com/reference/sandbox-key) on the Developer Dashboard with predefined [rate limits](https://developers.pandadoc.com/reference/limits). Or contact our solutions expert if you work with high-transaction volumes.\n\n## Guides\n\nIf you’re just getting started with PandaDoc, you may want to jump straight into one of our [getting started guides](https://developers.pandadoc.com/docs/getting-started) for the feature you’re most interested in, whether that’s:\n\n- [Create from template](https://developers.pandadoc.com/docs/create-send-document),\n- [Upload and send a local PDF](https://developers.pandadoc.com/docs/upload-and-send-a-local-pdf),\n- or [Listening for changes in document status](https://developers.pandadoc.com/docs/listen-document-status-changes).\n\nWe also recommend you to discover our dynamic content generation on a fly: [Create from a template with content placeholder](https://developers.pandadoc.com/docs/create-with-content-placeholders-from-template).\n", "termsOfService": "https://www.pandadoc.com/master-services-agreement/", "contact": { "name": "PandaDoc API Support", "url": "https://developers.pandadoc.com/", "email": "api-track@pandadoc.com" }, "license": { "name": "MIT", "url": "https://github.com/PandaDoc/pandadoc-openapi-specification/blob/main/LICENSE" }, "version": "7.18.2" }, "servers": [ { "url": "https://api.pandadoc.com", "description": "Public API" } ], "security": [ { "apiKey": [] }, { "oauth2": [] } ], "tags": [ { "name": "Content Library Items", "description": "Operations for managing content library items, including retrieving details, checking status, and creating items via file upload." } ], "paths": { "/public/v1/content-library-items/{id}/details": { "get": { "summary": "Content Library Item Details", "description": "Retrieve detailed information about a specific content library item using its ID. The details include:\n\n- **Roles**\n- **All fields with values**\n- **All tokens with values**\n- **Pricing information (pricing tables, products, etc)**\n- **Metadata**\n- **Tags**\n- **Modification Timestamps**: note that `date_modified` means any changes associated with the CLI, while `content_date_modified` logs any changes in CLI content.\n", "operationId": "detailsContentLibraryItem", "tags": [ "Content Library Items" ], "parameters": [ { "name": "id", "description": "Content Library Item ID", "in": "path", "schema": { "type": "string" }, "required": true, "example": "UXdP7Lnbvvr4WEb2wzM2hc" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ContentLibraryItemResponse" } } } }, "401": { "$ref": "#/components/responses/401" }, "403": { "$ref": "#/components/responses/403" }, "404": { "$ref": "#/components/responses/404" }, "429": { "$ref": "#/components/responses/429" } } } } }, "components": { "securitySchemes": { "apiKey": { "type": "apiKey", "name": "Authorization", "in": "header", "description": "The `Authorization` header must contain the API key. The value should be prefixed with `API-Key` followed by a space and the actual API key.\n", "x-default": "API-Key 3039ba033eb1410caa0a2227158d63c9d6502cd8" }, "oauth2": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://app.pandadoc.com/oauth2/authorize", "tokenUrl": "https://api.pandadoc.com/oauth2/access_token", "refreshUrl": "https://api.pandadoc.com/oauth2/access_token", "scopes": { "read+write": "Use `read+write` to create, send, delete, and download documents, and `read` to view templates and document details." } } }, "description": "Send the authenticating user to the PandaDoc OAuth2 request URL. We recommend a button or a link titled\n\"Connect to PandaDoc\" if you are connecting users from a custom application. Users will see the \"Authorize Application\" screen.\nWhen the user clicks \"Authorize\", PandaDoc redirects the user back to your site with an authorization code inside the URL.\n\nhttps://app.pandadoc.com/oauth2/authorize?client_id={client_id}&redirect_uri={redirect_uri}&scope=read+write&response_type=code\n\n`client_id` and `redirect_uri` values should match your application settings.\n" } }, "schemas": { "PricingTableResponse": { "type": "object", "properties": { "name": { "type": "string", "example": "Pricing Table" }, "id": { "type": "string", "example": "065c5cbc-a065-4843-ba17-028e63779605" }, "total": { "type": "string", "example": "11500" }, "is_included_in_total": { "type": "boolean" }, "summary": { "type": "object", "nullable": true, "properties": { "subtotal": { "type": "string", "example": "11500", "nullable": true }, "total": { "type": "string", "example": "11500", "nullable": true }, "discount": { "type": "string", "example": "0", "nullable": true }, "tax": { "type": "string", "example": "0", "nullable": true }, "fee": { "type": "string", "example": "0", "nullable": true } } }, "items": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "nullable": true }, "sku": { "type": "string", "nullable": true }, "qty": { "type": "string", "nullable": true, "example": "10" }, "name": { "type": "string", "nullable": true, "example": "Annual license" }, "cost": { "type": "string", "nullable": true }, "price": { "type": "string", "nullable": true, "example": "100" }, "description": { "type": "string", "nullable": true, "example": "1 year subscription" }, "custom_fields": { "type": "object", "nullable": true, "example": {} }, "custom_columns": { "type": "object", "nullable": true, "example": { "Images": "", "Cost": "", "Subtotal": "" } }, "discount": { "type": "object", "nullable": true, "properties": { "value": { "type": "string", "nullable": true }, "type": { "type": "string", "nullable": true } } }, "tax_first": { "type": "object", "nullable": true, "properties": { "value": { "type": "string", "nullable": true }, "type": { "type": "string", "nullable": true } } }, "tax_second": { "type": "object", "nullable": true, "properties": { "value": { "type": "string", "nullable": true }, "type": { "type": "string", "nullable": true } } }, "subtotal": { "type": "string", "nullable": true, "example": "10000" }, "options": { "type": "object", "nullable": true, "example": {}, "properties": { "optional": { "type": "boolean", "nullable": true }, "optional_selected": { "type": "boolean", "nullable": true }, "multichoice_enabled": { "type": "boolean", "nullable": true }, "multichoice_selected": { "type": "boolean", "nullable": true } } }, "sale_price": { "type": "string", "nullable": true, "example": "1000" }, "taxes": { "type": "object", "nullable": true, "example": {} }, "discounts": { "type": "object", "nullable": true, "example": {} }, "fees": { "type": "object", "nullable": true, "example": {} }, "merged_data": { "type": "object", "nullable": true, "description": "Contains all fields in a flat structure with external field names defined in the template.", "example": { "custom_name": "SomeName", "custom_description": "SomeCustomDescription", "custom_price": "10.99", "custom_qty": "1.00", "custom_sku": "Test", "custom_tax": { "value": "10", "type": "percent" }, "custom_fee": { "value": "10", "type": "percent" }, "custom_discount": { "value": "10", "type": "percent" }, "custom_text": "Some other", "Cost": null, "Subtotal": "26.38", "fluffiness": "Fluffiness", "Other_field": "SomeText" } } } } }, "currency": { "type": "string", "example": "USD" } } }, "QuoteSectionSettings": { "type": "object", "properties": { "optional": { "type": "boolean" }, "selected": { "type": "boolean" }, "selection_type": { "type": "string", "enum": [ "custom", "single", "multiple" ] } } }, "QuoteResponse": { "type": "object", "properties": { "id": { "type": "string", "example": "4b011d86-286b-4f86-b697-90a6ad3f1489" }, "currency": { "type": "string", "example": "USD" }, "total": { "type": "string", "example": "900" }, "summary": { "type": "object", "title": "QuoteResponseSummary", "properties": { "total": { "type": "string", "example": "900" }, "subtotal": { "type": "string", "example": "1000", "nullable": true }, "one_time_subtotal": { "type": "string", "example": "500", "nullable": true }, "recurring_subtotal": { "type": "array", "items": { "type": "object", "properties": { "billing_cycle": { "type": "string", "example": "monthly" }, "value": { "type": "string", "example": "500" } } }, "nullable": true }, "total_qty": { "type": "string", "nullable": true }, "discounts": { "type": "object", "nullable": true, "additionalProperties": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "value": { "type": "string", "nullable": true } } } }, "taxes": { "type": "object", "nullable": true }, "fees": { "type": "object", "nullable": true }, "custom_fields": { "type": "object", "nullable": true, "additionalProperties": { "type": "string" } }, "total_discount": { "type": "string", "example": "100", "nullable": true }, "total_tax": { "type": "string", "nullable": true }, "total_fee": { "type": "string", "nullable": true }, "total_savings": { "type": "string", "nullable": true }, "total_contract_value": { "type": "string", "example": "1900", "nullable": true } } }, "sections": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string" }, "name": { "type": "string" }, "summary": { "type": "object", "title": "QuoteResponseSectionSummary", "properties": { "total": { "type": "string", "example": "1000" }, "subtotal": { "type": "string", "example": "1000", "nullable": true }, "one_time_subtotal": { "type": "string", "example": "500", "nullable": true }, "recurring_subtotal": { "type": "array", "items": { "type": "object", "properties": { "billing_cycle": { "type": "string", "example": "monthly" }, "value": { "type": "string", "example": "500" } } }, "nullable": true }, "total_qty": { "type": "string", "nullable": true }, "discounts": { "type": "object", "nullable": true }, "taxes": { "type": "object", "nullable": true }, "fees": { "type": "object", "nullable": true }, "custom_fields": { "type": "object", "nullable": true, "additionalProperties": { "type": "string" } }, "total_section_value": { "type": "string", "example": "1900", "nullable": true } } }, "columns": { "type": "array", "items": { "type": "object", "title": "QuoteResponseSectionColumn", "properties": { "header": { "type": "string", "nullable": true }, "name": { "type": "string" }, "merge_name": { "type": "string", "nullable": true }, "hidden": { "type": "string" } } } }, "items": { "type": "array", "items": { "type": "object", "title": "QuoteResponseSectionItem", "properties": { "id": { "type": "string", "nullable": true }, "sku": { "type": "string", "nullable": true }, "name": { "type": "string", "nullable": true }, "description": { "type": "string", "nullable": true }, "qty": { "type": "string", "nullable": true, "example": "1" }, "price": { "type": "string", "nullable": true, "example": "500" }, "cost": { "type": "string", "nullable": true }, "billing_frequency": { "type": "string", "nullable": true }, "contract_term": { "type": "string", "nullable": true }, "pricing_method": { "type": "string", "nullable": true }, "type": { "type": "string", "nullable": true }, "reference_type": { "type": "string", "nullable": true }, "options": { "type": "object", "nullable": true, "properties": { "selected": { "type": "boolean", "nullable": true }, "qty_editable": { "type": "boolean", "nullable": true } } }, "custom_columns": { "type": "object", "nullable": true, "additionalProperties": { "type": "string" } }, "external_columns": { "type": "object", "nullable": false, "additionalProperties": { "type": "string" } }, "discounts": { "type": "object", "nullable": true, "additionalProperties": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "value": { "type": "string", "nullable": true } } } }, "taxes": { "type": "object", "nullable": true, "additionalProperties": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "value": { "type": "string", "nullable": true } } } }, "fees": { "type": "object", "nullable": true, "additionalProperties": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "value": { "type": "string", "nullable": true } } } }, "multipliers": { "type": "object", "nullable": true, "additionalProperties": { "type": "string" } }, "total": { "type": "string", "nullable": true }, "overall_total": { "type": "string", "example": "1000", "nullable": true } } }, "nullable": true }, "total": { "type": "string", "example": "1000" }, "settings": { "$ref": "#/components/schemas/QuoteSectionSettings" } }, "nullable": true } }, "merge_rules": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string" }, "enabled": { "type": "boolean" }, "action": { "type": "object", "properties": { "type": { "type": "string" }, "section_id": { "type": "string" } } }, "condition": { "type": "object", "properties": { "field_name": { "type": "string" }, "type": { "type": "string" }, "comparison": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string" } } } } } } } } }, "settings": { "type": "object", "properties": { "selection_type": { "type": "string", "enum": [ "custom", "single", "multiple" ] } } } } }, "PricingResponse": { "type": "object", "properties": { "tables": { "type": "array", "items": { "$ref": "#/components/schemas/PricingTableResponse" } }, "quotes": { "type": "array", "items": { "$ref": "#/components/schemas/QuoteResponse" } }, "total": { "type": "string", "example": "11500" } } }, "ContentLibraryItemResponse": { "type": "object", "properties": { "id": { "type": "string", "example": "9d9k7VtSQ5KCXfsUQv4GxE" }, "name": { "type": "string", "example": "Sample Pricing Table" }, "date_created": { "type": "string", "example": "2021-08-11T14:12:20.017074Z" }, "date_modified": { "type": "string", "example": "2021-08-11T14:13:38.562290Z" }, "content_date_modified": { "type": "string", "example": "2021-10-23T21:07:04.147345Z" }, "created_by": { "type": "object", "properties": { "id": { "type": "string", "example": "b6RGTSGwJw838L2KZqckpD" }, "email": { "type": "string", "example": "jane@example.com" }, "first_name": { "type": "string", "example": "Jane" }, "last_name": { "type": "string", "example": "Roe" }, "avatar": { "type": "string", "nullable": true, "example": "https://pd-live-media.s3.amazonaws.com/users/000GTSGwJw000L2KZqc000/avatar.jpg" } } }, "metadata": { "type": "object" }, "tokens": { "type": "array", "items": { "type": "object" } }, "fields": { "type": "array", "items": { "type": "object" } }, "pricing": { "$ref": "#/components/schemas/PricingResponse" }, "tags": { "type": "array", "items": { "type": "string" } }, "roles": { "type": "array", "items": { "type": "object" } }, "version": { "type": "string", "example": "2" }, "content_placeholders": { "type": "array", "items": { "type": "object" } }, "tables": { "type": "array", "description": "Document tables.", "items": { "type": "object", "properties": { "name": { "type": "string", "description": "Table name." } } } }, "images": { "type": "array", "items": { "type": "object" } } } } }, "responses": { "401": { "description": "Authentication error", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "authentication_error" }, "detail": { "type": "string", "example": "Authentication credentials were not provided." } } } } } }, "403": { "description": "Permission error", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "permission_error" }, "detail": { "type": "string", "example": "You do not have permission to perform this action." }, "info_message": { "type": "string", "description": "Human-readable explanation of the permission error.", "example": "You are not allowed to send documents outside of your organization" }, "links": { "type": "array", "description": "Optional links related to the error (e.g. a status endpoint).", "items": { "type": "object", "properties": { "rel": { "type": "string", "example": "status" }, "href": { "type": "string", "example": "https://api.pandadoc.com/public/v1/documents/RsXrKarV524iCpjci9CMGa" }, "type": { "type": "string", "example": "POST" } } } } } } } } }, "404": { "description": "Not found", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "request_error" }, "detail": { "type": "string", "example": "Not found" } } } } } }, "429": { "description": "Too Many Requests", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "throttled" }, "detail": { "type": "string", "example": "Request was throttled." } } } } } } } } } ```